> # NAME

> cgD3D11GetBufferByIndex - Returns a pointer to an ID3D11Buffer interface by the constant buffer index.

> # SYNOPSIS

>       #include <Cg/cgD3D11.h>

>       ID3D11Buffer * cgD3D11GetBufferByIndex( CGprogram Program.
>                                               UINT Index );

> # PARAMETERS

> Program

>   The Cg program containing the buffer.

> Index

>   A zero-based index.

> # RETURN VALUES

> Returns a pointer to an ID3D11Buffer interface containing the constant buffer.

> # DESCRIPTION

> cgD3D11GetBufferByIndex returns a pointer to an ID3D11Buffer interface containing the constant buffer for manual manipulation. If the user manually changes the constant values in this way, the constant values contained in the corresponding CGbuffer (if exists) will be stale.

> # EXAMPLES

> ID3D11Buffer * myConstantBuffer = cgD3D11GetBufferByIndex( myCgProgram, 0 );

> # ERRORS

> CG_INVALID_PROGRAM_HANDLE_ERROR if Program is not a valid Cg program.

> # HISTORY

> cgD3D11GetBufferByIndex was introduced in Cg 3.0.

> # SEE ALSO

> cgCreateBuffer